Name:           perl-Mojolicious-Plugin-Mail
Version:        1.5
Release:        2%{?dist}
Summary:        Mojolicious Plugin for send mail
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Mojolicious-Plugin-Mail/
Source0:        http://www.cpan.org/authors/id/S/SH/SHARIFULN/Mojolicious-Plugin-Mail-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.001001
BuildRequires:  perl(Encode)
BuildRequires:  perl(MIME::EncWords)
BuildRequires:  perl(MIME::Lite) >= 3.027
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Mojolicious) >= 5
BuildRequires:  perl(Test::More)
Requires:       perl(Encode)
Requires:       perl(MIME::EncWords)
Requires:       perl(MIME::Lite) >= 3.027
Requires:       perl(Mojolicious) >= 5
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Patch0:         perl-Mojolicious-Plugin-Mail-1.5-build_on_el7.patch

%description
Mojolicous::Plugin::Mail is a plugin for Mojolicious apps to send mail
using MIME::Lite.

%prep
%setup -q -n Mojolicious-Plugin-Mail-%{version}
%patch0 -p1

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes example META.json
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jul 21 2015 Daniel Berteaud <daniel@firewal-services.com> - 1.5-2
- First build using cpanspec
